Package org.pushingpixels.substance.swingx

# Class SubstanceMonthViewUI.DayRepaintCallback

java.lang.Object
org.pushingpixels.trident.callback.TimelineCallbackAdapter
org.pushingpixels.trident.callback.UIThreadTimelineCallbackAdapter
org.pushingpixels.substance.swingx.SubstanceMonthViewUI.DayRepaintCallback

All Implemented Interfaces:
  `org.pushingpixels.trident.callback.TimelineCallback`

Enclosing class:
  `SubstanceMonthViewUI`

protected class SubstanceMonthViewUI.DayRepaintCallback extends org.pushingpixels.trident.callback.UIThreadTimelineCallbackAdapter
Repaints a single day during the fade animation cycle.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`dayIndex`
Associated (animated) day index.
`protected int`
`monthIndex`
`protected org.jdesktop.swingx.JXMonthView`
`monthView`
Associated control.
`protected int`
`yearIndex`

## Constructor Summary

Constructors
Constructor
Description
`DayRepaintCallback(org.jdesktop.swingx.JXMonthView monthView, int dayIndex, int monthIndex, int yearIndex)`
Creates a new animation repaint callback.

## Method Summary

Modifier and Type
Method
Description
`void`
`onTimelinePulse(float durationFraction, float timelinePosition)`
`void`
`onTimelineStateChanged(org.pushingpixels.trident.Timeline.TimelineState oldState, org.pushingpixels.trident.Timeline.TimelineState newState, float durationFraction, float timelinePosition)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### monthView

protected org.jdesktop.swingx.JXMonthView monthView
Associated control.

### dayIndex

protected int dayIndex
Associated (animated) day index.

### monthIndex

protected int monthIndex

### yearIndex

protected int yearIndex

## Constructor Details

### DayRepaintCallback

public DayRepaintCallback(org.jdesktop.swingx.JXMonthView monthView, int dayIndex, int monthIndex, int yearIndex)
Creates a new animation repaint callback.

Parameters:
  `monthView` - Associated control.
  `dayIndex` - Associated (animated) day index.

## Method Details

### onTimelinePulse

public void onTimelinePulse(float durationFraction, float timelinePosition)

Specified by:
  `onTimelinePulse` in interface `org.pushingpixels.trident.callback.TimelineCallback`
Overrides:
  `onTimelinePulse` in class `org.pushingpixels.trident.callback.TimelineCallbackAdapter`

### onTimelineStateChanged

public void onTimelineStateChanged(org.pushingpixels.trident.Timeline.TimelineState oldState, org.pushingpixels.trident.Timeline.TimelineState newState, float durationFraction, float timelinePosition)

Specified by:
  `onTimelineStateChanged` in interface `org.pushingpixels.trident.callback.TimelineCallback`
Overrides:
  `onTimelineStateChanged` in class `org.pushingpixels.trident.callback.TimelineCallbackAdapter`